GLXIIC(4)

NAME
glxiic - Geode LX CS5536 I2C controller driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device pci
device isa
device glxiic
device iicbus

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    glxiic_load="YES"

DESCRIPTION
The glxiic driver supports the System Management Bus controller of the Geode LX series CS5536 Companion Device. The Geode LX is a member of the AMD Geode family of integrated x86 system chips.

Although AMD refers to this device as a System Management Bus (SMBus) controller, it is really an I2C controller (it lacks SMBus ALERT# and Alert Response support).

The glxiic driver supports both I2C master and slave mode.

SYSCTL VARIABLE
The glxiic driver supports the following variable as both sysctl(8) and loader(8) tunable:

dev.glxiic.0.timeout
    This variable controls the I2C bus timeout in milliseconds. The default timeout is 35 milliseconds. A value of zero disables the timeout.

CAVEAT
The glxiic driver uses the interrupt line number configured by the board firmware by default. If no interrupt line number has been configured by the board firmware (or to override the interrupt line number configured by board firmware), place the following line in device.hints(5):

hint.glxiic.0.irq="10"

The interrupt line number must be between 1 and 15.

SEE ALSO
iicbus(4), device.hints(5), loader.conf(5), loader(8), sysctl(8)

HISTORY
The glxiic device driver and manual page first appeared in FreeBSD 9.0.

AUTHORS
-nosplit The glxiic device driver and manual page were written by Henrik Brix Andersen <brix@FreeBSD.org>.